tigase.jaxmpp.core.client.xmpp.modules.mam

## Interface MessageArchiveManagementModule.MessageArchiveItemReceivedEventHandler

- All Superinterfaces:
    EventHandler
  Enclosing class:
    MessageArchiveManagementModule

      public static interface MessageArchiveManagementModule.MessageArchiveItemReceivedEventHandler
      extends EventHandler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `MessageArchiveManagementModule.MessageArchiveItemReceivedEventHandler.MessageArchiveItemReceivedEvent`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onArchiveItemReceived(SessionObject sessionObject, String queryid, String messageId, Date timestamp, Message message)`

- - ### Method Detail

    - #### onArchiveItemReceived

          void onArchiveItemReceived(SessionObject sessionObject,
                                     String queryid,
                                     String messageId,
                                     Date timestamp,
                                     Message message)
                              throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2020 Tigase. All rights reserved.